[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'charset' (#rtl)

# registermapping

Register mapping

## Declaration

Source position: charset.pp line 74

`procedure registermapping(`
`p: punicodemap`
`);`

## Arguments

`p` |  | Map to register.

## Description

RegisterMapping registers mapping p in the registry of single-byte codepages. No attempt is made to avoid double registrations. In case of doubles, the last registered mapping will be used first.

## See also

loadunicodemapping |  | Load textual single-byte codepage to Unicode map from file
loadbinaryunicodemapping |  | Load binary single-byte codepage to Unicode map from file or memory
registerbinarymapping |  | Load and register binary single-byte codepage to Unicode map from file